EDIT - bug #10307

Adapt comparator for feature list to use the language string
04/25/2023 11:35 AM - Katja Luther

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.38

Severity: normal Found in Version:

Description

Currently the list of features is sorted by the titlecache, but should be sorted by the language string which is used in the list.

Related issues:
Related to EDIT - bug #10305: Add DB preference for term language Closed

Associated revisions

Revision 816d05fb - 04/25/2023 12:59 PM - Katja Luther

ref #10307: add comparator to DynamicFeature Menu

Revision 36bfd9d1 - 04/26/2023 01:41 PM - Katja Luther

ref #10307: add localize method with list of languages

Revision b96fc7a6 - 04/26/2023 01:43 PM - Katja Luther

ref #10307: use localize with language list

Revision d0947393 - 04/26/2023 02:37 PM - Katja Luther

ref #10307: new PreferencePredicate

Revision 84ab7705 - 05/11/2023 10:20 AM - Katja Luther

ref #10307: missing adapted comparator

History

#1 - 04/25/2023 11:55 AM - Katja Luther

Actually the order comes from the feature tree.

#2 - 04/25/2023 01:00 PM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

This should be fixed, please review.

#3 - 04/26/2023 01:46 PM - Katja Luther

In most cases the localize method of TermRepresentation_L10n is used and this uses LocaleContext.getLanguages(); to get the local languages. To
use the term language of the editor a new method which has a list of languages as parameter is implemented.

#4 - 05/10/2023 01:18 PM - Andreas Miiller

- Description updated

#5 - 05/10/2023 04:48 PM - Andreas Miuller

| tried to test on test/flora_mexico. i18n support is switched on as DB-preference with available languages English and Spanish.
In local preferences | selected as "Term"-language: Spanish.

There exist a translation for the feature "Common Name" in Spanish in the DB.

However, whereever | tried (in term editor, facts view, facts view context menu) the Spanish translation of the feature was never shown.
This blocks me from reviewing this ticket.

Note: | remember WGB reported a similar problem recently.

#6 - 05/10/2023 04:49 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miller to Katja Luther

#7 - 05/10/2023 04:49 PM - Andreas Miiller
- % Done changed from 0 to 50

#8 - 05/10/2023 04:51 PM - Andreas Miuller

- Related to bug #10305: Add DB preference for term language added

#9 - 05/11/2023 10:21 AM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

sorry, | missed to commit the comparator, this is done now.

#10 - 05/27/2023 10:32 PM - Andreas Miiller
- Tags set to mexico, i18n

- % Done changed from 50 to 100

Seems to work as expected now.

#11 - 05/27/2023 10:33 PM - Andreas Miiller
- Status changed from Resolved to Closed

- Target version changed from Release 5.44 to Release 5.38

#12 - 05/27/2023 10:33 PM - Andreas Miiller

- Assignee changed from Andreas Miiller to Katja Luther
